Bug 117496 - /etc/ntp not belonging to ntp user
Summary: /etc/ntp not belonging to ntp user
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ntp (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-04 17:24 UTC by Nick (Gunnar) Bluth
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-05 10:27:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nick (Gunnar) Bluth 2004-03-04 17:24:33 UTC
Description of problem: 
The directory /etc/ntp does not belong to the "ntp" user account, 
which leads to errors: 
Mar  4 17:41:46 XXXXXXXX ntpd[695]: can't open /etc/ntp/drift.TEMP: 
Permission denied 
 
Version-Release number of selected component (if applicable): 
ntp-4.1.2-4 
 
How reproducible: 
Always. Default user in RPM is wrong. 
 
Steps to Reproduce: 
1. Install ntp 
   
Actual results: 
Error messages 
 
Expected results: 
No error messages ;-) 
 
Additional info:

Comment 1 Harald Hoyer 2004-03-05 10:27:34 UTC
> Default user in RPM is wrong. 

No! Your configuration file is wrong!

$ rpm -qlv ntp|fgrep drift
-rw-r--r--    1 ntp     ntp                 4 Feb 17 11:42
/var/lib/ntp/drift


Note You need to log in before you can comment on or make changes to this bug.